Page MenuHomePhabricator

Make the error message for "The configuration setting '$key' was already set by another extension" better
Closed, ResolvedPublic

Description

The error message from ExtensionRegistration should be improved to say which extensions that have the key set already.

This would help greatly in fixing extensions.

This should be considered a blocker for 1.31.

Details

Related Gerrit Patches:
mediawiki/core : masterregistration: Improve duplicate config setting exception
mediawiki/core : REL1_31registration: Improve duplicate config setting exception
mediawiki/extensions/MsCalendar : masterMove wgAjaxExportList out side of config: {}
mediawiki/extensions/AJAXPoll : masterMove wgAjaxExportList out side of config: {}
mediawiki/extensions/MsCalendar : REL1_31Move wgAjaxExportList out side of config: {}
mediawiki/extensions/AJAXPoll : REL1_31Move wgAjaxExportList out side of config: {}

Event Timeline

Paladox created this task.May 9 2018, 10:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2018, 10:25 PM

This would help greatly in fixing extensions.

Can't you just grep or search for the config setting?

Patches are definitely welcome, but I'm not sure I'd consider this a blocker.

This would help greatly in fixing extensions.

Can't you just grep or search for the config setting?
Patches are definitely welcome, but I'm not sure I'd consider this a blocker.

The error message is the most un help full, it tells you the config but not where it's happening.

@Legoktm would using a callback work around the problem for:

/srv/mediawiki/w/extensions/MsCalendar/extension.json:66: "AjaxExportList": [
/srv/mediawiki/w/extensions/AJAXPoll/extension.json:67: "AjaxExportList": [
/srv/mediawiki/w/extensions/MsUpload/extension.json:57: "AjaxExportList": [

?

Change 432316 had a related patch set (by Paladox) published:
[mediawiki/extensions/AJAXPoll@master] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432316

Change 432317 had a related patch set (by Paladox) published:
[mediawiki/extensions/MsCalendar@master] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432317

Change 432323 had a related patch set uploaded (by MacFan4000; owner: Paladox):
[mediawiki/extensions/AJAXPoll@REL1_31] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432323

Change 432324 had a related patch set uploaded (by MacFan4000; owner: Paladox):
[mediawiki/extensions/MsCalendar@REL1_31] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432324

Change 432316 merged by jenkins-bot:
[mediawiki/extensions/AJAXPoll@master] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432316

Change 432317 merged by jenkins-bot:
[mediawiki/extensions/MsCalendar@master] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432317

Change 432323 merged by jenkins-bot:
[mediawiki/extensions/AJAXPoll@REL1_31] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432323

Change 432324 merged by jenkins-bot:
[mediawiki/extensions/MsCalendar@REL1_31] Move wgAjaxExportList out side of config: {}

https://gerrit.wikimedia.org/r/432324

demon moved this task from Backlog to Core on the MW-1.31-release board.May 15 2018, 1:13 PM
Legoktm claimed this task.May 15 2018, 5:23 PM

Change 433193 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] registration: Improve duplicate config setting exception

https://gerrit.wikimedia.org/r/433193

Change 433193 merged by jenkins-bot:
[mediawiki/core@master] registration: Improve duplicate config setting exception

https://gerrit.wikimedia.org/r/433193

Change 433300 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_31] registration: Improve duplicate config setting exception

https://gerrit.wikimedia.org/r/433300

Change 433300 merged by jenkins-bot:
[mediawiki/core@REL1_31] registration: Improve duplicate config setting exception

https://gerrit.wikimedia.org/r/433300

Legoktm closed this task as Resolved.May 15 2018, 11:54 PM
Vvjjkkii renamed this task from Make the error message for "The configuration setting '$key' was already set by another extension" better to k9caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from k9caaaaaaa to Make the error message for "The configuration setting '$key' was already set by another extension" better.Jul 1 2018, 2:39 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.